Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.editors
Class MultiValueElementChooserUI

    com.togethersoft.openapi.ide.inspector.util.editors.MultiValueUI
      |
      +--com.togethersoft.openapi.ide.inspector.util.editors.MultiValueElementChooserUI

public class MultiValueElementChooserUI
extends MultiValueUI

Represents an elements chooser - dialog box with two panels :

- Left panel contains three trees:
  - tree of diagrams starting from the current; this tree can be shown or not (see below)
  - tree of the whole project starting from the root package
  - tree of the packages in the search/classpath
- Right panel contains selected elements from the left panel. There are "Add, "Remove" and "Remove All" buttons between the panels in order to modify this right panel.

This dialog allows to select elements on the left panel and add this selection to the right panel in the list form. The contents of the left panel can be filtered by means of the filters, for the details see description of the second constructor.

Author:
  TogetherSoft

Field Summary
`protected Vector` | `myChosenRwiElementsVector`

Constructor Summary
`MultiValueElementChooserUI(RwiElement rwiElement, int selectorType)` Initializes this element chooser.
`MultiValueElementChooserUI(RwiElement rwiElement, UnaryCondition displayFilter, UnaryCondition classFilter, boolean includeCurrentDiagram, UnaryCondition multiple, UnaryOperation title)` Initializes this element chooser.

Method Summary
`void` | `editValues(String title)` Opens this chooser dialog for selecting.
`Vector` | `getValues()` Values are full names of selected RwiElements.

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.editors.MultiValueUI
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, removeCellEditorListener`

Field Detail

### myChosenRwiElementsVector

    protected Vector myChosenRwiElementsVector

Constructor Detail

### MultiValueElementChooserUI

    public MultiValueElementChooserUI(RwiElement rwiElement, int selectorType)

  Initializes this element chooser.
  Parameters:
    rwiElement - selected RWI element
    selectorType - specifies predefined configuration of filters; for the available predefined configurations see IdeSelectorDialogType

### MultiValueElementChooserUI

    public MultiValueElementChooserUI(RwiElement rwiElement, UnaryCondition displayFilter, UnaryCondition classFilter, boolean includeCurrentDiagram, UnaryCondition multiple, UnaryOperation title)

  Initializes this element chooser.
  Parameters:
    rwiElement - selected RWI element
    displayFilter - filters contents of the trees
    classFilter - filters elements which can be choosen
    includeCurrentDiagram - if true then the first tree will be started from the current diagram
    multiple - if true then this chooser will work for the several selected RwiElements
    title - calculates the dialog box title

Method Detail

### editValues

    public void editValues(String title)

  Opens this chooser dialog for selecting.
  Parameters:
    title - dialog box title

### getValues

    public Vector getValues()

  Values are full names of selected RwiElements.

Association Links

to Class java.util.Vector

to Class com.togethersoft.openapi.rwi.RwiElement

to Class com.togethersoft.openapi.util.function.UnaryCondition

to Class com.togethersoft.openapi.util.function.UnaryCondition

to Class com.togethersoft.openapi.util.function.UnaryOperation

to Class com.togethersoft.openapi.util.function.UnaryCondition

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD